io.vertx.rxjava.ext.auth

## Class ChainAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.AuthProvider
  - - io.vertx.rxjava.ext.auth.ChainAuth

-     public class ChainAuth
      extends AuthProvider

  Chain several auth providers as if they were one. This is useful for cases where one want to authenticate across several providers, for example, database and fallback to passwd file.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<ChainAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChainAuth(ChainAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChainAuth` | `append(AuthProvider other)` Appends a auth provider to the chain.
    `void` | `clear()` Clears the chain.
    `static ChainAuth` | `create()` Create a Chainable Auth Provider auth provider
    `ChainAuth` | `getDelegate()`
    `static ChainAuth` | `newInstance(ChainAuth arg)`
    `boolean` | `remove(AuthProvider other)` Removes a provider from the chain.

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.AuthProvider

      `authenticate, authenticateObservable, newInstance, rxAuthenticate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<ChainAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### ChainAuth

          public ChainAuth(ChainAuth delegate)

  - ### Method Detail

    - #### getDelegate

          public ChainAuth getDelegate()

      Overrides:
        `getDelegate` in class `AuthProvider`

    - #### create

          public static ChainAuth create()

      Create a Chainable Auth Provider auth provider
      Returns:
        the auth provider

    - #### append

          public ChainAuth append(AuthProvider other)

      Appends a auth provider to the chain.
      Parameters:
        `other` - auth provider
      Returns:
        self

    - #### remove

          public boolean remove(AuthProvider other)

      Removes a provider from the chain.
      Parameters:
        `other` - provider to remove
      Returns:
        true if provider was removed, false if non existent in the chain.

    - #### clear

          public void clear()

      Clears the chain.

    - #### newInstance

          public static ChainAuth newInstance(ChainAuth arg)

Copyright © 2017. All rights reserved.